Type (Doclet API)

Package | Class | Use | Tree | Deprecated | Index | Help

Doclet API

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javadoc
Interface Type

All Known Subinterfaces:
  ClassDoc

public interface Type

Represents a java type. Type can be a class or primitive data type, like int, char...

Since:
  JDK1.2

Method Summary
`ClassDoc` | `asClassDoc()` Return this type as a class.
`String` | `dimension()` Return the type's dimension information, as a string.
`String` | `qualifiedTypeName()` Return qualified name of type excluding any dimension information.
`String` | `toString()` Returns a string representation of the type.
`String` | `typeName()` Return unqualified name of type excluding any dimension information.

Method Detail

### typeName

    public String typeName()

  Return unqualified name of type excluding any dimension information.

  For example, a two dimensional array of String returns 'String'.

### qualifiedTypeName

    public String qualifiedTypeName()

  Return qualified name of type excluding any dimension information.

  For example, a two dimensional array of String returns 'java.lang.String'.

### dimension

    public String dimension()

  Return the type's dimension information, as a string.

  For example, a two dimensional array of String returns '[][]'.

### toString

    public String toString()

  Returns a string representation of the type. Return name of type including any dimension information.

  For example, a two dimensional array of String returns `String[][]`.

  Overrides:
    `toString` in class `Object`
  Returns:
    name of type including any dimension information.

### asClassDoc

    public ClassDoc asClassDoc()

  Return this type as a class. Array dimensions are ignored.

  Returns:
    a ClassDoc if the type is a Class. Return null if it is a primitive type..

Package | Class | Use | Tree | Deprecated | Index | Help

Doclet API

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.